<?php
session_start();
require("../../database/dbConection.php");
$usuarioLogado = $_SESSION['idUsuarioLogado'];

//DADOS RECEBIDOS DO FOMULÁRIOS DE CADASTRO DA DEMANDA
$idPaciente         = $_POST['idPaciente'];
$dataRegistro       = $_POST['dataRegistro'];
$somenteOfertados   = $_POST['somenteOfertados'];
$grupoProcedimento  = $_POST['grupoProcedimento'];
$nomeProcedimento   = explode("##",$_POST['nomeProcedimento']);
$idProcedimento     = $nomeProcedimento[0];
$codigoSisreg       = $nomeProcedimento[1]; 
$observacaoDemanda  = $_POST['observacaoDemanda'];

//VERIFICAR SE EXISTE SOLICITAÇÃO PENDENTE DO MESMO PACIENTE E MESMO PROCEDIMENTO
$stmDemandaReprimida  = $rsConexao->prepare("SELECT id_demandareprimida FROM cdr_tb_demandareprimida WHERE id_paciente='$idPaciente' AND id_procedimento='$idProcedimento' AND status_agendamento='P'");
$stmDemandaReprimida  -> execute();
$rsDemandaReprimida   = $stmDemandaReprimida->fetchAll(PDO::FETCH_ASSOC);
$registrosExistentes  = $stmDemandaReprimida->rowCount();	

if($registrosExistentes>0){  
  echo "JaExiste";
}else{

  $sqlAddDemanda  = "INSERT INTO cdr_tb_demandareprimida(id_paciente, data_demanda, demanda_existente, codigo_grupo, id_procedimento,codigo_sus,observacoes_demanda,id_usuario)";
  $sqlAddDemanda .= "VALUES(:setIdPaciente,:setDataRegistro,:setOfertaExistente,:setCodigoGrupo,:setIdProcedimento,:setCodigoSisreg,:setObsDemanda,:setIdUsuario)";
  $stmAddDemanda  = $rsConexao->prepare($sqlAddDemanda);
  $stmAddDemanda  -> bindParam(":setIdPaciente",$idPaciente,PDO::PARAM_STR);
  $stmAddDemanda  -> bindParam(":setDataRegistro",$dataRegistro,PDO::PARAM_STR);
  $stmAddDemanda  -> bindParam(":setOfertaExistente",$somenteOfertados,PDO::PARAM_STR);
  $stmAddDemanda  -> bindParam(":setCodigoGrupo",$grupoProcedimento,PDO::PARAM_STR);
  $stmAddDemanda  -> bindParam(":setIdProcedimento",$idProcedimento,PDO::PARAM_STR);
  $stmAddDemanda  -> bindParam(":setCodigoSisreg",$codigoSisreg,PDO::PARAM_STR);
  $stmAddDemanda  -> bindParam(":setObsDemanda",$observacaoDemanda,PDO::PARAM_STR);
  $stmAddDemanda  -> bindParam(":setIdUsuario",$usuarioLogado,PDO::PARAM_STR);

  $stmAddDemanda  -> execute();
  $ultimoIdAdd    = $rsConexao->lastInsertId();

  /*****************************************************/

  $sqlDemandas  = "SELECT cdr_tb_demandareprimida.*,date_format(cdr_tb_demandareprimida.data_demanda,'%d/%m/%Y') as dataRegistro ,cdr_tb_procedimento.nome_procedimento ";
  $sqlDemandas .= "FROM `cdr_tb_demandareprimida` INNER JOIN cdr_tb_procedimento ON (cdr_tb_demandareprimida.id_procedimento=cdr_tb_procedimento.id_procedimento) ";
  $sqlDemandas .= "WHERE id_paciente='$idPaciente' ORDER BY data_demanda DESC";
  $stmDemandas  = $rsConexao->prepare($sqlDemandas);
  $stmDemandas  ->execute();
  $rsDemandas = $stmDemandas->fetchAll(PDO::FETCH_ASSOC);
  $totalRegistros	= $stmDemandas->rowCount();

  if($totalRegistros > 0){
    foreach($rsDemandas as $fieldDemanda){
      $idDemandareprimida = $fieldDemanda['id_demandareprimida'];
      $idProcedimento     = $fieldDemanda['id_procedimento'];
      $dataRegistro       = $fieldDemanda['dataRegistro'];
      $nomeProcedimento   = $fieldDemanda['nome_procedimento'];
      $statusAgendamento  = $fieldDemanda['status_agendamento']!="A"?"PENDENTE":"AGENDADO";
      $linkExcluirDemanda	= '"excluirProcedimentoDemanda(' . "'$idDemandareprimida')" . '"';

      if($fieldDemanda['observacoes_demanda']!=""){
        $linkVerObservacao	= '"verObservacaoRegistroDemanda(' . "'$idDemandareprimida')" . '"';
        $linkVerObservacao	= "<i class='icofont icofont-info-square nova_fonte' title='Ver Observação.'  onclick=$linkVerObservacao></i>";
      }else{
        $linkVerObservacao	= "&nbsp&nbsp&nbsp&nbsp&nbsp";
      }
      echo "<tr>
        <td>$dataRegistro</td>
        <td>$nomeProcedimento</td>
        <td style='text-align:center'>$statusAgendamento</td><td style='text-align:center'>
          $linkVerObservacao																							
          <i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir registro de demanda reprimida.'  onclick=$linkExcluirDemanda></i>&nbsp;
        </td>	
      </tr>";
    }
  }
    
  /*****************************************************/
}

?>